Landers
Search organization landers (slim)
Slim lander listing across every workspace the caller can read, with the same optional filters as the workspace lander list plus workspaceIds (JSON array string) to narrow the scope. Without filters it returns every accessible lander, unpaged.
GET
/
api
/
v2
/
organizations
/
{organizationId}
/
landers
/
search
Search organization landers (slim)
curl --request GET \
--url https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"landers": [
{
"id": 123,
"name": "<string>",
"workspaceId": 123,
"folderId": 123,
"websiteId": 123,
"published": true,
"changesToBePublished": true,
"status": "<string>",
"url": "<string>",
"previewURL": "<string>",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
API key with ll_live_ prefix
Query Parameters
Case-insensitive name contains
JSON array of workspace IDs
Available options:
draft, published, published_with_unpublished_changes Max 500
Was this page helpful?
⌘I
Search organization landers (slim)
curl --request GET \
--url https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.landerlab.dev/api/v2/organizations/{organizationId}/landers/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"landers": [
{
"id": 123,
"name": "<string>",
"workspaceId": 123,
"folderId": 123,
"websiteId": 123,
"published": true,
"changesToBePublished": true,
"status": "<string>",
"url": "<string>",
"previewURL": "<string>",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}